import 'package:equatable/equatable.dart';

abstract class HomeBannerState extends Equatable {
  const HomeBannerState();
}

/// 初始化状态
class InitialHomeBannerState extends HomeBannerState {
  @override
  List<Object> get props => [];
}

/// 数据加载完毕状态
class HomeBannerLoadedState extends HomeBannerState {
  @override
  List<Object> get props => [];
}

/// 缓存数据加载完毕
class HomeBannerCacheState extends HomeBannerState {
  @override
  List<Object> get props => [];
}

/// 数据加载失败
class HomeBannerErrorState extends HomeBannerState {
  @override
  List<Object> get props => [];
}
