import 'package:equatable/equatable.dart';

abstract class HomeQuickEntryState extends Equatable {
  const HomeQuickEntryState();

  @override
  List<Object> get props => [];
}

/// 初始化状态
class InitialHomeQuickEntryState extends HomeQuickEntryState {
  @override
  List<Object> get props => [];
}

/// 加载数据完毕
class HomeQuickEntryLoadedState extends HomeQuickEntryState {}

/// 加载缓存数据
class HomeQuickEntryCachedState extends HomeQuickEntryState {}

/// 加载数据出错
class HomeQuickEntryErrorState extends HomeQuickEntryState {}
