import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/widgets/mine_header/mine_header.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class MineHeaderCreater extends WidgetCreater {
  @override
  List<Widget> createWidgets(Map<String, dynamic> model) {
    return [
      SliverPersistentHeader(
        pinned: true,
        floating: false,
        delegate: MineHeaderDelegate(),
      ),
    ];
  }

  @override
  bool isSliverChild() {
    return true;
  }
}
